KDE 4.9 PyKDE API Reference

- KDE's Python API

# Phase Class Reference

`from PyKDE4.kdecore import *`

Namespace: KTimeZone

## Detailed Description

## Methods

| __init__ (self)
| __init__ (self, int utcOffset, QByteArray abbreviations, bool dst, QString comment=QString())
| __init__ (self, int utcOffset, [QByteArray] abbreviations, bool dst, QString comment=QString())
| __init__ (self, KTimeZone.Phase rhs)
[QByteArray] | abbreviations (self)
QString | comment (self)
bool | isDst (self)
bool | operator != (self, KTimeZone.Phase rhs)
bool | operator == (self, KTimeZone.Phase rhs)
int | utcOffset (self)

## Method Documentation

__init__ | ( |  | self ) |

Default constructor. Creates a standard-time time zone phase with UTC offset 0.

__init__ | ( | self, |
|  | int | utcOffset,
|  | QByteArray | abbreviations,
|  | bool | dst,
|  | QString | comment=QString()
| ) |  |  |

Constructor.

Parameters:

  | utcOffset | number of seconds to add to UTC to get local time in this phase
  | abbreviations | time zone abbreviation for this phase, plus any translations
  | dst | true if daylight savings time, false if standard time
  | comment | optional comment

__init__ | ( | self, |
|  | int | utcOffset,
|  | [QByteArray] | abbreviations,
|  | bool | dst,
|  | QString | comment=QString()
| ) |  |  |

Constructor.

Parameters:

  | utcOffset | number of seconds to add to UTC to get local time in this phase
  | abbreviations | time zone abbreviation for this phase, plus any translations
  | dst | true if daylight savings time, false if standard time
  | comment | optional comment

__init__ | ( | self, |
|  | KTimeZone.Phase | rhs
| ) |  |  |

[QByteArray] abbreviations | ( |  | self ) |

Return the time zone abbreviations which apply to this phase.

More than one abbreviation may be returned, to allow for possible translations.

Returns:
  time zone abbreviations

QString comment | ( |  | self ) |

Return the comment (if any) applying to this phase.

Returns:
  comment

bool isDst | ( |  | self ) |

Return whether daylight savings time applies during this phase.

Returns:
  true if daylight savings are in operation, false otherwise

bool operator != | ( | self, |
|  | KTimeZone.Phase | rhs
| ) |  |  |

bool operator == | ( | self, |
|  | KTimeZone.Phase | rhs
| ) |  |  |

int utcOffset | ( |  | self ) |

Return the UTC offset in seconds during this phase. The UTC offset is the number of seconds which you must add to UTC to get local time.

Returns:
  offset in seconds to add to UTC